This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
94941
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
SREZIC [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Critical
Broken in:
2.05
Fixed in:
2.25-TRIAL



Subject: Broken prerequisite check for CPAN::Reporter
Starting with CPAN 2.05 FAIL I see the following output after a failed test suite: ---------------------------------------------------------------------- CPAN::Reporter: test results were not valid, Prerequisite missing: requires: Module Need Have ------------------ ---------------- ------ ! build_requires HASH(0x4f4164c8) n/a ! opt_build_requires HASH(0x4f4171c8) n/a ! opt_requires HASH(0x4f3fa9d8) n/a ! requires HASH(0x4f41b1c8) n/a ---------------------------------------------------------------------- I did not check if all my systems/perls are affected, and if all failed test suites are affected. Regards, Slaven
Subject: Re: [rt.cpan.org #94941] Broken prerequisite check for CPAN::Reporter
Date: Tue, 22 Apr 2014 18:59:01 -0400
To: bug-CPAN <bug-CPAN@rt.cpan.org>
From: David Golden <dagolden@cpan.org>
Latest CPAN::Reporter should fix that. Maybe we need to have CPAN require at least CPAN::Reporter 1.2011. David On Tue, Apr 22, 2014 at 6:47 PM, Slaven_Rezic via RT <bug-CPAN@rt.cpan.org> wrote:
Show quoted text
> Tue Apr 22 18:47:57 2014: Request 94941 was acted upon. > Transaction: Ticket created by SREZIC > Queue: CPAN > Subject: Broken prerequisite check for CPAN::Reporter > Broken in: 2.05 > Severity: Critical > Owner: Nobody > Requestors: SREZIC@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=94941 > > > > Starting with CPAN 2.05 FAIL I see the following output after a failed test suite: > > ---------------------------------------------------------------------- > CPAN::Reporter: test results were not valid, Prerequisite missing: > requires: > > Module Need Have > ------------------ ---------------- ------ > ! build_requires HASH(0x4f4164c8) n/a > ! opt_build_requires HASH(0x4f4171c8) n/a > ! opt_requires HASH(0x4f3fa9d8) n/a > ! requires HASH(0x4f41b1c8) n/a > ---------------------------------------------------------------------- > > I did not check if all my systems/perls are affected, and if all failed test suites are affected. > > Regards, > Slaven >
-- David Golden <dagolden@cpan.org> Twitter/IRC: @xdg
On 2014-04-22 18:59:45, DAGOLDEN wrote:
Show quoted text
> Latest CPAN::Reporter should fix that.
OK, that's possible. One of the problematic perls has still CPAN::Reporter 1.2010. I'll check it.
Show quoted text
> Maybe we need to have CPAN require at least CPAN::Reporter 1.2011.
Unfortunately this is not possible. You would build a circular dependency (CPAN -> CPAN::Reporter -> CPAN). Regards, Slaven
Show quoted text
> > David > > > On Tue, Apr 22, 2014 at 6:47 PM, Slaven_Rezic via RT > <bug-CPAN@rt.cpan.org> wrote:
> > Tue Apr 22 18:47:57 2014: Request 94941 was acted upon. > > Transaction: Ticket created by SREZIC > > Queue: CPAN > > Subject: Broken prerequisite check for CPAN::Reporter > > Broken in: 2.05 > > Severity: Critical > > Owner: Nobody > > Requestors: SREZIC@cpan.org > > Status: new > > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=94941 > > > > > > > Starting with CPAN 2.05 FAIL I see the following output after a > > failed test suite: > > > > ---------------------------------------------------------------------- > > CPAN::Reporter: test results were not valid, Prerequisite missing: > > requires: > > > > Module Need Have > > ------------------ ---------------- ------ > > ! build_requires HASH(0x4f4164c8) n/a > > ! opt_build_requires HASH(0x4f4171c8) n/a > > ! opt_requires HASH(0x4f3fa9d8) n/a > > ! requires HASH(0x4f41b1c8) n/a > > ---------------------------------------------------------------------- > > > > I did not check if all my systems/perls are affected, and if all > > failed test suites are affected. > > > > Regards, > > Slaven > >
Subject: Re: [rt.cpan.org #94941] Broken prerequisite check for CPAN::Reporter
Date: Tue, 22 Apr 2014 19:10:03 -0400
To: bug-CPAN <bug-CPAN@rt.cpan.org>
From: David Golden <dagolden@cpan.org>
On Tue, Apr 22, 2014 at 7:06 PM, Slaven_Rezic via RT <bug-CPAN@rt.cpan.org> wrote:
Show quoted text
>> Maybe we need to have CPAN require at least CPAN::Reporter 1.2011.
> > Unfortunately this is not possible. You would build a circular dependency (CPAN -> CPAN::Reporter -> CPAN).
s/require/refuse to send test reports without/ David
On 2014-04-22 19:10:48, DAGOLDEN wrote:
Show quoted text
> On Tue, Apr 22, 2014 at 7:06 PM, Slaven_Rezic via RT > <bug-CPAN@rt.cpan.org> wrote:
> >> Maybe we need to have CPAN require at least CPAN::Reporter 1.2011.
> > > > Unfortunately this is not possible. You would build a circular > > dependency (CPAN -> CPAN::Reporter -> CPAN).
> > s/require/refuse to send test reports without/ >
Effectively this is already the case, at least for FAIL reports. Regards, Slaven
On 2014-04-22 16:06:39, SREZIC wrote:
Show quoted text
> On 2014-04-22 18:59:45, DAGOLDEN wrote:
> > Latest CPAN::Reporter should fix that.
> > OK, that's possible. One of the problematic perls has still > CPAN::Reporter 1.2010. I'll check it. >
> > Maybe we need to have CPAN require at least CPAN::Reporter 1.2011.
> > Unfortunately this is not possible. You would build a circular > dependency (CPAN -> CPAN::Reporter -> CPAN).
x_breaks metadata could help here, if the CPAN client understood it and knew to install things it found there as 'post-requisites'.
On 2014-04-22 19:06:39, SREZIC wrote:
Show quoted text
> On 2014-04-22 18:59:45, DAGOLDEN wrote:
> > Latest CPAN::Reporter should fix that.
> > OK, that's possible. One of the problematic perls has still > CPAN::Reporter 1.2010. I'll check it.
Yes, that's it. With CPAN::Reporter 1.2011 everything is fine. Regards, Slaven
As of commit 51e88b13 we now refuse to produce reports with CPAN::Reporter < 1.2011
Fixed in 2.25. Thanks to everybody involved.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.